<?php

# Dynamic Metatags Version 1.1
# 
# gives you all HTML metatags for including in php files
#
# installation : include this file in the HTML header section                
# Copyright (c) 2005 - Reimar Hoven
#
# This file is part of Dynamic Metatags.
#
# PHP-Web-Statistik is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# PHP-Web-Statistik is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Dynamic Metatags; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# License: GNU GPL (GNU General Public License. See COPYING file)
# Version : 1.1 Release date: January 2005
# Dynamic Metatagger official web site and latest version: http://www.enginedazzler.com
  
#############################################################################   

 $title_prefix               = "<TITLE>";         # title prefix   
 $title_postfix              = "</TITLE>\n";      # title postfix

 $metatag_structure_prefix   = "<meta name=\"";   # metatag structure prefix
 $metatag_structure_middle   = "\" content=\"";   # metatag structure middle
 $metatag_structure_postfix  = "\">\n";           # metatag structure postfix  
  
############################################################################# 
 
 # standard keywords
 # you can put up to 250 keywords or phrases in every entry.
 $keywords = "keyword1,keyword2,keyword3,keyword4,keyword5,keyword6,keyword7,keyword8,keyword9,keyword10,keyword11,keyword12,keyword13,keyword14,keyword15,keyword16,keyword17,keyword,keyword18,keyword19,keyword20";

#############################################################################  
 
 # global array for all script filenames ... put all script filenames in it and edit the keyword list!!!
 # you can put up to 250 keywords or phrases in every entry.
 $global_keyword_array    = array 
  (    
    "D:/xampplite/htdocs/test.php"  => "keyword1,keyword2,keyword3,keyword4,keyword5,keyword6,keyword7,keyword8,keyword9,keyword10,keyword11,keyword12,keyword13,keyword14,keyword15,keyword16,keyword17,keyword,keyword18,keyword19,keyword20" ,
    "/is/htdocs/contact_form.php"   => "keyword1,keyword2,keyword3,keyword4,keyword5,keyword6,keyword7,keyword8,keyword9,keyword10,keyword11,keyword12,keyword13,keyword14,keyword15,keyword16,keyword17,keyword,keyword18,keyword19,keyword20" ,
    "/is/htdocs/impressum.php"      => "keyword1,keyword2,keyword3,keyword4,keyword5,keyword6,keyword7,keyword8,keyword9,keyword10,keyword11,keyword12,keyword13,keyword14,keyword15,keyword16,keyword17,keyword,keyword18,keyword19,keyword20" ,
    "/is/htdocs/index.php"          => "keyword1,keyword2,keyword3,keyword4,keyword5,keyword6,keyword7,keyword8,keyword9,keyword10,keyword11,keyword12,keyword13,keyword14,keyword15,keyword16,keyword17,keyword,keyword18,keyword19,keyword20"
  );
  
#############################################################################  
 
 # standard metatag values                             
 $global_array = array 
  (    
    "language"          => "en" ,
    "content-Language"  => "en" ,
    "author"            => "Author" ,
    "generator"         => "domain.tld" ,
    "copyright"         => "Copyright 2005 by domain.tld" ,
    "audience"          => "all" ,
    "rating"            => "General" ,
    "distribution"      => "Global" ,
    #"pragma"           => "no-cache" ,
    "robots"            => "index,all,follow" ,
    "revisit"           => "7 days" ,
    "revisit-after"     => "7 days"
  );
  
#############################################################################    
  
 $global_meta_array = array 
  (      
    "description" ,
    "keywords" ,
    "abstract" ,
    "classification" ,
    "page-topic"
  );     
  
#############################################################################  
  
  # get the whole filename of the script thats running
  $filename = $_SERVER['DOCUMENT_ROOT'].$_SERVER['PHP_SELF'];
  
  # if you get any errors, try to uncomment the next line to check the desired filename
  #echo $filename;
  
  # look in the array for it, then return the metatags
  if  ( array_key_exists ( $filename , $global_keyword_array ) ) 
   { 
     $keyword_array_temp = explode ( "," , $global_keyword_array [ $filename ] );
     $keyword_count_temp = count   ( $keyword_array_temp                       );
       
     for ( $x = 0 ; $x <= 9 ; $x++ )
      {
       srand ( microtime() * 1000000 );              
       $random_number = rand ( 0 , $keyword_count_temp );    
       $temp          = $temp.$keyword_array_temp [ $random_number ].",";
      }  
       
     echo $title_prefix.substr ( $temp , 0 , strlen ( $temp ) - 2 ).$title_postfix;
       
     unset ( $keyword_array_temp );  
     unset ( $keyword_count_temp );  
     unset ( $temp               );
     
     #################################

     foreach ( $global_meta_array as $entry )
      {
       $keyword_array_temp = explode ( "," , $global_keyword_array [ $filename ] );
       $keyword_count_temp = count   ( $keyword_array_temp                       );
              
        for ( $x = 0 ; $x <= $keyword_count_temp ; $x++ )
         {
          srand ( microtime() * 1000000 );              
          $random_number = rand ( 0 , $keyword_count_temp );    
          $temp          = $temp.$keyword_array_temp [ $random_number ].",";
         }  
       
       echo $metatag_structure_prefix.$entry.$metatag_structure_middle.$temp.$metatag_structure_postfix;
       
       unset ( $keyword_array_temp );  
       unset ( $keyword_count_temp );  
       unset ( $temp               );       
      }
      
    ################################# 
   }   
  else
   { 
     $keyword_array_temp = explode ( "," , $keywords     );
     $keyword_count_temp = count   ( $keyword_array_temp );
       
     for ( $x = 0 ; $x <= 9 ; $x++ )
      {
       srand ( microtime() * 1000000 );              
       $random_number = rand ( 0 , $keyword_count_temp );    
       $temp          = $temp.$keyword_array_temp [ $random_number ].",";
      }  
       
     echo $title_prefix.substr ( $temp , 0 , strlen ( $temp ) - 2 ).$title_postfix;
       
     unset ( $keyword_array_temp );  
     unset ( $keyword_count_temp );  
     unset ( $temp               );
     
     #################################

     foreach ( $global_meta_array as $entry )
      {
       $keyword_array_temp = explode ( "," , $keywords      );
       $keyword_count_temp = count   ( $keyword_array_temp  );
              
        for ( $x = 0 ; $x <= $keyword_count_temp ; $x++ )
         {
          srand ( microtime() * 1000000 );              
          $random_number = rand ( 0 , $keyword_count_temp );    
          $temp          = $temp.$keyword_array_temp [ $random_number ].",";
         }  
       
       echo $metatag_structure_prefix.$entry.$metatag_structure_middle.$temp.$metatag_structure_postfix;
       
       unset ( $keyword_array_temp );  
       unset ( $keyword_count_temp );  
       unset ( $temp               );       
      }
    
    echo $title_prefix.$title.$global_otherwise_array[ "title" ].$title_postfix; 
   }
  
#############################################################################  
  
   # return of the remaining static metatags
   foreach ( $global_array as $entry )
    {
     echo $metatag_structure_prefix.key ( $global_array ).$metatag_structure_middle.$entry.$metatag_structure_postfix; 	
    }
    
#############################################################################     	
 
?>